PETSc version 3.15.5
Fix/Edit manual page

# PCMGSetAdaptCR

Monitor the coarse space quality using an auxiliary solve with compatible relaxation.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetAdaptCR(PC pc, PetscBool cr)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| cr | - flag for compatible relaxation

### Options Database Keys

| -pc_mg_adapt_cr | - Turn on compatible relaxation

### Keywords

MG, set, Galerkin

### See Also

PCMGGetAdaptCR(), PCMGSetAdaptInterpolation(), PCMGSetGalerkin()

### Level

intermediate

### Location

src/ksp/pc/impls/mg/mg.c

### Implementations

PCMGSetAdaptCR_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages